## samba 4.12.5+dfsg

=== debian/changelog ===
samba (2:4.12.5+dfsg-3ubuntu4) groovy; urgency=medium

  * SECURITY UPDATE: Unauthenticated domain controller compromise by
    subverting Netlogon cryptography (ZeroLogon)
    - debian/patches/zerologon-*.patch: backport upstream patches:
      + For compatibility reasons, allow specifying an insecure netlogon
        configuration per machine. See the following link for examples:
        https://www.samba.org/samba/security/CVE-2020-1472.html
      + Add additional server checks for the protocol attack in the
        client-specified challenge to provide some protection when
        'server schannel = no/auto' and avoid the false-positive results
        when running the proof-of-concept exploit.
    - CVE-2020-1472

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 28 Sep 2020 09:46:49 -0400

samba (2:4.12.5+dfsg-3ubuntu3) groovy; urgency=medium

  * d/t/{util, smbclient-share-access-uring, cifs-share-access-uring}:
    guard uring tests with a kernel version check and skip if it's too old

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 11 Aug 2020 11:00:35 -0300

samba (2:4.12.5+dfsg-3ubuntu2) groovy; urgency=medium

  * d/t/smbclient-anonymous-share-list: add set -x and set -e
  * Factor out common DEP8 test code into d/t/util and change the tests
    to source from it:
    - d/t/util: added
    - d/t/cifs-share-access, d/t/smbclient-share-access: source from
      util, use random share name and add set -x and set -u
    - d/t/smbclient-authenticated-share-list: source from util and add
      set -x and set -u
  * d/control: enable the liburing vfs module, except on i386 where
    liburing is not available
  * Add new DEP8 tests for the uring vfs module:
    - d/t/control: add smbclient-share-access-uring and
      cifs-share-access-uring tests
    - d/t/smbclient-share-access-uring: new test
    - d/t/cifs-share-access-uring: new test

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 04 Aug 2020 17:20:30 -0300

samba (2:4.12.5+dfsg-3ubuntu1) groovy; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/p/VERSION.patch: Update vendor string to "Ubuntu".
    - debian/smb.conf;
      + Add "(Samba, Ubuntu)" to server string.
      + Comment out the default [homes] share, and add a comment about
        "valid users = %s" to show users how to restrict access to
        \\server\username to only username.
    - debian/samba-common.config:
      + Do not change priority to high if dhclient3 is installed.
    - d/control, d/rules: Disable glusterfs support because it's not in main.
      MIR bug is https://launchpad.net/bugs/1274247
    - d/p/fix-nfs-service-name-to-nfs-kernel-server.patch:
      change nfs service name from nfs to nfs-kernel-server
      (LP #722201)
    - d/p/ctdb-config-enable-syslog-by-default.patch:
      enable syslog and systemd journal by default
    - debian/rules: Ubuntu i386 binary compatibility:
      + drop ceph support
      + disable the following binary packages:
        - ctdb
        - libnss-winbind
        - libpam-winbind
        - python3-samba
        - samba
        - samba-common-bin
        - samba-testsuite
        - winbind
    - debian/control: Ubuntu i386 binary compatibility:
      + drop ceph support
    - debian/rules: Ubuntu i386 binary compatibility:
      + re-enable the following binary packages:
        - libnss-winbind
        - samba-common-bin
        - python3-samba
        - winbind
    - d/control: add a versioned libgnutls28-dev build-depends to reduce
      the amount of in-tree crypto code that is built
  * Dropped:
    - d/gbp.conf, d/watch, d/README.source: update for 4.12
      [In 2:4.12.3+dfsg-1]
    - d/control: bump build-depends:
      + ldb: 2.1.2
      + tevent: 0.10.2
      + tdb: 1.4.3
      + talloc: 2.3.1
      [In 2:4.12.3+dfsg-1]
    - d/smbclient.install: add new binary mdfind and its manpage
      [In 2:4.12.3+dfsg-1]
    - d/samba-dev.install, d/samba-libs.install: new lib
      libdcerpc-server-core
      [In 2:4.12.3+dfsg-1]
    - d/samba-libs.install: new library libtalloc-report-printf
      [In 2:4.12.3+dfsg-1]
    - d/libwbclient0.install: remove libaesni, no longer built when
      gnutls provides AES CMAC
      [In 2:4.12.3+dfsg-1]
    - d/libsmbclient.symbols, d/libwbclient0.symbols: update symbols
      [In 2:4.12.3+dfsg-1]
    - d/p/build-Remove-tests-for-getdents-and-getdirentries.patch
      [Dropped in 2:4.12.3+dfsg-1]
    - d/p/wscript-remove-all-checks-for-_FUNC-and-__FUNC.patch
      [Dropped in 2:4.12.3+dfsg-1]
    - d/p/wscript-split-function-check-to-one-per-line-and-sor.patch
      [Dropped in 2:4.12.3+dfsg-1]

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 31 Jul 2020 11:07:47 -0300

samba (2:4.12.5+dfsg-3) unstable; urgency=high

  * Add Breaks: sssd-ad-common (<< 2.3.0), due to libndr so bump
    (Closes: #963971)
  * Add patch traffic_packets: fix SyntaxWarning: "is" with a literal
    (Closes: #964165)
  * Add patch Rename mdfind to mdsearch (Closes: #963985)

 -- Mathieu Parent <sathieu@debian.org>  Sat, 04 Jul 2020 23:57:59 +0200

samba (2:4.12.5+dfsg-2) unstable; urgency=high

  * Add missing symbol (path_expand_tilde)

 -- Mathieu Parent <sathieu@debian.org>  Thu, 02 Jul 2020 15:27:25 +0200

samba (2:4.12.5+dfsg-1) unstable; urgency=high

  * New upstream security release:
    - CVE-2020-10730: NULL pointer de-reference and use-after-free in Samba AD
      DC LDAP Server with ASQ, VLV and paged_results
    - CVE-2020-10745: Parsing and packing of NBT and DNS packets can consume
      excessive CPU
    - CVE-2020-10760: LDAP Use-after-free in Samba AD DC Global Catalog with
      paged_results and VLV.
    - CVE-2020-14303: Empty UDP packet DoS in Samba AD DC nbtd.
    - Bump build-depends ldb >= 2.1.4

 -- Mathieu Parent <sathieu@debian.org>  Thu, 02 Jul 2020 14:03:36 +0200

samba (2:4.12.3+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- Mathieu Parent <sathieu@debian.org>  Sun, 28 Jun 2020 11:45:14 +0200


