=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: samba
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
+Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
 Uploaders: Steve Langasek <vorlon@debian.org>,
            Jelmer Vernooĳ <jelmer@debian.org>,
            Mathieu Parent <sathieu@debian.org>,
            Andrew Bartlett <abartlet+debian@catalyst.net.nz>
 Homepage: http://www.samba.org
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Build-Depends: bison,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-exec,
                dh-python,
                docbook-xml,
@@ -23,21 +22,23 @@
                libblkid-dev,
                libbsd-dev,
                libcap-dev [linux-any],
-               libcephfs-dev [amd64 arm64 armel armhf mips64el mipsel ppc64el ppc64 s390x x32],
+               libcephfs-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el ppc64 s390x x32],
                libcmocka-dev (>= 1.1.3),
                libcups2-dev,
                libdbus-1-dev,
-               libgnutls28-dev (>= 3.6.5),
+               libglusterfs-dev [linux-any],
+               libgnutls28-dev,
                libgpgme11-dev,
+               libicu-dev,
                libjansson-dev,
                libldap2-dev,
-               libldb-dev (>= 2:2.1.4~),
+               libldb-dev (>= 2:2.2.0~),
                libncurses5-dev,
                libpam0g-dev,
                libparse-yapp-perl,
                libpcap-dev [hurd-i386 kfreebsd-any],
                libpopt-dev,
-               librados-dev [amd64 arm64 armel armhf mips64el mipsel ppc64el ppc64 s390x x32],
+               librados-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el ppc64 s390x x32],
                libreadline-dev,
                libsystemd-dev [linux-any],
                libtalloc-dev (>= 2.3.1~),
@@ -45,15 +46,14 @@
                libtasn1-bin,
                libtdb-dev (>= 1.4.3~),
                libtevent-dev (>= 0.10.2~),
-               liburing-dev [!i386],
                perl,
                pkg-config,
                po-debconf,
                python3-dev,
                python3-dnspython,
                python3-etcd,
-               python3-ldb (>= 2:2.1.4~),
-               python3-ldb-dev (>= 2:2.1.4~),
+               python3-ldb (>= 2:2.2.0~),
+               python3-ldb-dev (>= 2:2.2.0~),
                python3-talloc-dev (>= 2.3.1~),
                python3-tdb (>= 1.4.3~),
                python3-testtools,
@@ -247,8 +247,7 @@
 Architecture: any
 Section: python
 Provides: ${python3:Provides}
-Depends: python3-crypto,
-         python3-ldb,
+Depends: python3-ldb,
          python3-tdb,
          samba-libs (= ${binary:Version}),
          ${misc:Depends},
@@ -288,7 +287,7 @@
 Breaks: samba (<< 2:4.3.2+dfsg-1), samba-libs (<< 2:4.3.2+dfsg-1)
 Replaces: samba (<< 2:4.3.2+dfsg-1), samba-libs (<< 2:4.3.2+dfsg-1)
 Depends: samba-libs (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Recommends: ${vfsceph:Recommends}, ${vfssnapper:Recommends}
+Recommends: ${vfsceph:Recommends}, ${vfsglusterfs:Recommends}, ${vfssnapper:Recommends}
 Enhances: samba
 Description: Samba Virtual FileSystem plugins
  Samba is an implementation of the SMB/CIFS protocol for Unix systems,
@@ -305,8 +304,8 @@
   * vfs_shadow_copy2: Expose snapshots to Windows clients as shadow copies
   * vfs_worm: Disallow writes for older file
  .
- Note: The runtime dependencies of vfs_ceph and vfs_snapper are moved to
- Recommends.
+ Note: The runtime dependencies of vfs_ceph, vfs_glusterfs and vfs_snapper are
+ moved to Recommends.
 
 Package: libsmbclient
 Section: libs
